=== modified file 'drizzled/join.cc'
--- drizzled/join.cc	2009-07-11 07:38:37 +0000
+++ drizzled/join.cc	2009-07-11 19:15:43 +0000
@@ -5400,8 +5400,8 @@
 
   for (; join_tab != end ; join_tab++)
   {
-    TABLE_REF *ref= &join_tab->ref;
-    table_map depend_map=0;
+    table_reference_st *ref= &join_tab->ref;
+    table_map depend_map= 0;
     Item **item=ref->items;
     uint32_t i;
     for (i=0 ; i < ref->key_parts ; i++,item++)

=== modified file 'drizzled/join_table.h'
--- drizzled/join_table.h	2009-07-11 07:38:37 +0000
+++ drizzled/join_table.h	2009-07-11 19:15:43 +0000
@@ -148,7 +148,7 @@
     this number of rows for the table.
   */
   ha_rows limit;
-  TABLE_REF	ref;
+  table_reference_st	ref;
   JOIN_CACHE cache;
   JOIN *join;
 

=== modified file 'drizzled/opt_range.cc'
--- drizzled/opt_range.cc	2009-07-10 00:01:50 +0000
+++ drizzled/opt_range.cc	2009-07-11 19:15:43 +0000
@@ -6756,7 +6756,7 @@
 */
 
 QUICK_RANGE_SELECT *get_quick_select_for_ref(Session *session, Table *table,
-                                             TABLE_REF *ref, ha_rows records)
+                                             table_reference_st *ref, ha_rows records)
 {
   MEM_ROOT *old_root, *alloc;
   QUICK_RANGE_SELECT *quick;

=== modified file 'drizzled/opt_range.h'
--- drizzled/opt_range.h	2009-06-11 20:39:11 +0000
+++ drizzled/opt_range.h	2009-07-11 19:15:43 +0000
@@ -382,7 +382,7 @@
   friend class TRP_ROR_INTERSECT;
   friend
   QUICK_RANGE_SELECT *get_quick_select_for_ref(Session *session, Table *table,
-                                               struct st_table_ref *ref,
+                                               struct table_reference_st *ref,
                                                ha_rows records);
   friend bool get_quick_keys(PARAM *param, QUICK_RANGE_SELECT *quick,
                              KEY_PART *key, SEL_ARG *key_tree,
@@ -786,7 +786,7 @@
 };
 
 QUICK_RANGE_SELECT *get_quick_select_for_ref(Session *session, Table *table,
-                                             struct st_table_ref *ref,
+                                             struct table_reference_st *ref,
                                              ha_rows records);
 uint32_t get_index_for_order(Table *table, order_st *order, ha_rows limit);
 

=== modified file 'drizzled/opt_sum.cc'
--- drizzled/opt_sum.cc	2009-07-10 00:01:50 +0000
+++ drizzled/opt_sum.cc	2009-07-11 19:15:43 +0000
@@ -52,10 +52,10 @@
 #include <drizzled/item/sum.h>
 #include <drizzled/item/cmpfunc.h>
 
-static bool find_key_for_maxmin(bool max_fl, TABLE_REF *ref, Field* field,
+static bool find_key_for_maxmin(bool max_fl, table_reference_st *ref, Field* field,
                                 COND *cond, uint32_t *range_fl,
                                 uint32_t *key_prefix_length);
-static int reckey_in_range(bool max_fl, TABLE_REF *ref, Field* field,
+static int reckey_in_range(bool max_fl, table_reference_st *ref, Field* field,
                             COND *cond, uint32_t range_fl, uint32_t prefix_len);
 static int maxmin_in_range(bool max_fl, Field* field, COND *cond);
 
@@ -230,7 +230,7 @@
         if (expr->real_item()->type() == Item::FIELD_ITEM)
         {
           unsigned char key_buff[MAX_KEY_LENGTH];
-          TABLE_REF ref;
+          table_reference_st ref;
           uint32_t range_fl, prefix_len;
 
           ref.key_buff= key_buff;
@@ -378,7 +378,7 @@
         if (expr->real_item()->type() == Item::FIELD_ITEM)
         {
           unsigned char key_buff[MAX_KEY_LENGTH];
-          TABLE_REF ref;
+          table_reference_st ref;
           uint32_t range_fl, prefix_len;
 
           ref.key_buff= key_buff;
@@ -593,7 +593,7 @@
     1        We can use index to get MIN/MAX value
 */
 
-static bool matching_cond(bool max_fl, TABLE_REF *ref, KEY *keyinfo,
+static bool matching_cond(bool max_fl, table_reference_st *ref, KEY *keyinfo,
                           KEY_PART_INFO *field_part, COND *cond,
                           key_part_map *key_part_used, uint32_t *range_fl,
                           uint32_t *prefix_len)
@@ -800,7 +800,7 @@
 */
 
 
-static bool find_key_for_maxmin(bool max_fl, TABLE_REF *ref,
+static bool find_key_for_maxmin(bool max_fl, table_reference_st *ref,
                                 Field* field, COND *cond,
                                 uint32_t *range_fl, uint32_t *prefix_len)
 {
@@ -909,7 +909,7 @@
     1        WHERE was not true for the found row
 */
 
-static int reckey_in_range(bool max_fl, TABLE_REF *ref, Field* field,
+static int reckey_in_range(bool max_fl, table_reference_st *ref, Field* field,
                             COND *cond, uint32_t range_fl, uint32_t prefix_len)
 {
   if (key_cmp_if_same(field->table, ref->key_buff, ref->key, prefix_len))

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2009-07-11 07:38:37 +0000
+++ drizzled/sql_select.cc	2009-07-11 19:15:43 +0000
@@ -2209,7 +2209,7 @@
       1. update_ref_and_keys() accumulates info about null-rejecting
          predicates in in KEY_FIELD::null_rejecting
       1.1 add_key_part saves these to KeyUse.
-      2. create_ref_for_key copies them to TABLE_REF.
+      2. create_ref_for_key copies them to table_reference_st.
       3. add_not_null_conds adds "x IS NOT NULL" to join_tab->select_cond of
          appropiate JoinTable members.
 */
@@ -6750,7 +6750,7 @@
     != 0;
 }
 
-bool cp_buffer_from_ref(Session *session, TABLE_REF *ref)
+bool cp_buffer_from_ref(Session *session, table_reference_st *ref)
 {
   enum enum_check_fields save_count_cuted_fields= session->count_cuted_fields;
   session->count_cuted_fields= CHECK_FIELD_IGNORE;

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2009-07-11 07:38:37 +0000
+++ drizzled/sql_select.h	2009-07-11 19:15:43 +0000
@@ -325,7 +325,7 @@
 
 #include "drizzled/stored_key.h"
 
-bool cp_buffer_from_ref(Session *session, TABLE_REF *ref);
+bool cp_buffer_from_ref(Session *session, table_reference_st *ref);
 bool error_if_full_join(JOIN *join);
 int safe_index_read(JoinTable *tab);
 COND *remove_eq_conds(Session *session, COND *cond, Item::cond_result *cond_value);

=== modified file 'drizzled/table_reference.h'
--- drizzled/table_reference.h	2009-07-11 07:38:37 +0000
+++ drizzled/table_reference.h	2009-07-11 19:15:43 +0000
@@ -35,7 +35,7 @@
 class StoredKey;
 class Item;
 
-typedef struct st_table_ref
+struct table_reference_st
 {
   bool key_err;
   uint32_t key_parts; /**< num of key parts */
@@ -70,6 +70,6 @@
     produce different results (because of Index Condition Pushdown)
   */
   bool disable_cache;
-} TABLE_REF;
+};
 
 #endif /* DRIZZLED_TABLE_REFERENCE_H */

